default service should be run under apache, eventlet will deprecated in K, Removed in M

Bug #1423685 reported by Matt Fischer on 2015-02-19
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
puppet-keystone
Wishlist
Unassigned

Bug Description

from Morgan Fainberg:

The Keystone development team is planning to deprecate deployment of Keystone under Eventlet during the Kilo cycle. Support for deploying under eventlet will be dropped as of the “M”-release of OpenStack.

Therefore we should switch the puppet default install type to apache so that we match the recommended default value.

summary: - default service should be run under apache, eventlets will deprecated in
- M
+ default service should be run under apache, eventlet will deprecated in
+ K, Removed in M
Emilien Macchi (emilienm) wrote :

This is more a blueprint Matt, isn't ? I'm not sure we can change the default like this.
Some people don't want Apache2 by default...

Changed in puppet-keystone:
status: New → Triaged
importance: Undecided → Critical
importance: Critical → Wishlist
Matt Fischer (mfisch) wrote :

Already switched in L

Changed in puppet-keystone:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers